/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.peetz.comics.service;

import com.peetz.comics.entity.ArtistEntity;
import com.peetz.comics.entity.ComicEntity;
import com.peetz.comics.entity.IssueEntity;
import com.peetz.comics.entity.PublisherEntity;
import com.peetz.comics.entity.StoryArcEntity;
import java.util.Collection;
import javax.ejb.embeddable.EJBContainer;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.Ignore;

/**
 *
 * @author TPEETZ
 */
public class ComicServiceImplTest {

    private static ComicService instance;
    private static EJBContainer container;

    public ComicServiceImplTest() {
    }
    
    @BeforeClass
    public static void setUpClass() throws Exception {
        container = javax.ejb.embeddable.EJBContainer.createEJBContainer();
        instance = (ComicService)container.getContext().lookup("java:global/main/ComicService");
    }
    
    @AfterClass
    public static void tearDownClass() {
        container.close();
    }
    
    @Before
    public void setUp() {
    }
    
    @After
    public void tearDown() {
    }

    /**
     * Test of getAllComics method, of class ComicServiceImpl.
     */
    @Ignore
    @Test
    public void testGetAllComics() throws Exception {
        System.out.println("getAllComics");
        Collection<ComicEntity> expResult = null;
        Collection<ComicEntity> result = instance.getAllComics();
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of getAllPublisher method, of class ComicServiceImpl.
     */
    @Ignore
    @Test
    public void testGetAllPublisher() throws Exception {
        System.out.println("getAllPublisher");
        Collection<PublisherEntity> expResult = null;
        Collection<PublisherEntity> result = instance.getAllPublisher();
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of getAllArtists method, of class ComicServiceImpl.
     */
    @Ignore
    @Test
    public void testGetAllArtists() throws Exception {
        System.out.println("getAllArtists");
        Collection<ArtistEntity> expResult = null;
        Collection<ArtistEntity> result = instance.getAllArtists();
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of getAllIssuesForComic method, of class ComicServiceImpl.
     */
    @Ignore
    @Test
    public void testGetAllIssuesForComic() throws Exception {
        System.out.println("getAllIssuesForComic");
        ComicEntity comic = null;
        Collection<IssueEntity> expResult = null;
        Collection<IssueEntity> result = instance.getAllIssuesForComic(comic);
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of getAllStoryArcs method, of class ComicServiceImpl.
     */
    @Ignore
    @Test
    public void testGetAllStoryArcs() throws Exception {
        System.out.println("getAllStoryArcs");
        Collection<StoryArcEntity> expResult = null;
        Collection<StoryArcEntity> result = instance.getAllStoryArcs();
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of addStoryArc method, of class ComicServiceImpl.
     */
    @Ignore
    @Test
    public void testAddStoryArc() throws Exception {
        System.out.println("addStoryArc");
        String title = "";
        instance.addStoryArc(title);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of addPublisher method, of class ComicServiceImpl.
     */
    @Ignore
    @Test
    public void testAddPublisher() throws Exception {
        System.out.println("addPublisher");
        String name = "";
        instance.addPublisher(name);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of addComic method, of class ComicServiceImpl.
     */
    @Ignore
    @Test
    public void testAddComic() throws Exception {
        System.out.println("addComic");
        String title = "";
        ComicEntity expResult = null;
        ComicEntity result = instance.addComic(title);
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of getPublisherById method, of class ComicServiceImpl.
     */
    @Ignore
    @Test
    public void testGetPublisherById() throws Exception {
        System.out.println("getPublisherById");
        String nodeValue = "";
        PublisherEntity expResult = null;
        PublisherEntity result = instance.getPublisherById(nodeValue);
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of assignPublisher method, of class ComicServiceImpl.
     */
    @Ignore
    @Test
    public void testAssignPublisher() throws Exception {
        System.out.println("assignPublisher");
        ComicEntity comic = null;
        PublisherEntity publisher = null;
        instance.assignPublisher(comic, publisher);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }
}
